////	$RCSfile: phonelist.h,v $
////	$Date: 2011/09/26 22:50:50 $
////.BlockStart
#ifndef _phonelist_h
#define _phonelist_h

#include "record.h"
#include "sllist.h"
////.BlockEnd

////.BlockStart
class PhoneListIter;		// forward declaration

class PhoneList {
    List *head;			// uses a linked list...
    // This is getting ahead a bit, but these next two
    // declare copy constructor and assignment operator as
    // private.  That prevents the application from using
    // "a = b;" in order to copy a PhoneList object.
    PhoneList(const PhoneList &);
    PhoneList & operator= (const PhoneList &);
  public:
    PhoneList();
    ~PhoneList();		// Must free memory here
    void Add(Record *r);	// Adds to head of chain
    void Remove(Record *r);	// Removes from chain

    friend class PhoneListIter;
};
////.BlockEnd

////.BlockStart
class PhoneListIter {
    PhoneList &parent;	// reference to the parent object
    List *current;	// current element in list
  public:
    PhoneListIter(PhoneList &p);
    Record *Current();
    Record *Next();
    void Reset();	// reset back to the beginning
};

#endif // _phonelist_h
////.BlockEnd
