#ifndef REV1DEFS_H_
#define REV1DEFS_H_

/*
 *  This header file is used to define certain constants
 *  used in the main routine.  Typically, these would be
 *  constants used by many source files, so putting them
 *  here would be a maintenance advantage should they ever
 *  need to be changed.
 */

#define CMD_MIN		1	/* Min quantity on cmd line */
#define CMD_MAX		10	/* Max quantity on cmd line */

#if defined(MSDOS)
# define INTSZ	(2^16)
#elif defined(AIX)
# define INTSZ  (2^32)
#else
# define INTSZ  (2^16)
#endif

#define EXITSYN		1	/* Exit value for cmdline syntax error */
#define EXITQTY		2	/* Exit value for quantity out of range */

/*
 *  Define the seed for the random number generator.
 *  Rather simplistic, but we really don't care anyway.
 */
#define SEED		time(0L);

#ifdef DO_DEBUGGING
# define DSTART		if (0) {
# define DEND		}
#else
# define DSTART		do {
# define DEND		} while (0);
#endif

#endif /* REV1DEFS_H_ */
