#include <stdio.h>
#include "rev1defs.h"

/********************************************

 x     x+1      x+2      x+3
--- - ------ + ------ - ------ ...
 x!   (x+1)!   (x+2)!   (x+3)!

where `x' starts at 3.

********************************************/

float Series(float value)
{
    static float sign = -1;		// addition or subtraction
    static int numerator = 3;		// odd sequence
    static int denominator = 6;		// factorial

    value += (sign * numerator) / denominator;
    numerator++;
    sign = -sign;
    denominator *= numerator;

    return value;
}

int main(int ac, char *av[])
{
    /* This program uses nested function calls to
     * calculate a Taylor series...
     */
    float f = 0.0;
    int i;

    if (ac > 1) {	/* More than 1 argument? */
	fprintf(stderr, "Usage:  lab1func\n");
	exit(EXITSYN);
    }
    for (i=3; i < 15; i++)
	f = Series(f);
    printf("Result after %d calls is %f.\n", i, f);
    return 0;
}
